curl https://api.bouncy.ai/v1/domains/go.example.com/dns \
-H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY"
const response = await fetch(
'https://api.bouncy.ai/v1/domains/go.example.com/dns',
{
headers: {
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'
}
}
);
const dnsStatus = await response.json();
if (dnsStatus.currentDns.matches) {
console.log('DNS is configured correctly!');
} else {
console.log('DNS needs configuration:');
console.log(dnsStatus.instructions);
}
import requests
response = requests.get(
'https://api.bouncy.ai/v1/domains/go.example.com/dns',
headers={'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'}
)
dns_status = response.json()
if dns_status['currentDns']['matches']:
print('DNS is configured correctly!')
else:
print('DNS needs configuration:')
print(dns_status['instructions'])
{
"domain": "go.example.com",
"verified": true,
"dnsRecords": {
"type": "CNAME",
"host": "go",
"value": "cname.bouncy.ai"
},
"currentDns": {
"recordFound": true,
"recordType": "CNAME",
"recordValue": "cname.bouncy.ai",
"matches": true
},
"instructions": "DNS is configured correctly and verified."
}
{
"domain": "go.example.com",
"verified": false,
"dnsRecords": {
"type": "CNAME",
"host": "go",
"value": "cname.bouncy.ai"
},
"currentDns": {
"recordFound": false,
"recordType": null,
"recordValue": null,
"matches": false
},
"instructions": "Add a CNAME record with host 'go' pointing to 'cname.bouncy.ai' in your DNS provider."
}
{
"error": {
"code": "domain_not_found",
"message": "Domain not found in your account"
}
}
Domains
Check DNS Status
Check the current DNS configuration status for a domain
GET
/
v1
/
domains
/
:domain
/
dns
curl https://api.bouncy.ai/v1/domains/go.example.com/dns \
-H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY"
const response = await fetch(
'https://api.bouncy.ai/v1/domains/go.example.com/dns',
{
headers: {
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'
}
}
);
const dnsStatus = await response.json();
if (dnsStatus.currentDns.matches) {
console.log('DNS is configured correctly!');
} else {
console.log('DNS needs configuration:');
console.log(dnsStatus.instructions);
}
import requests
response = requests.get(
'https://api.bouncy.ai/v1/domains/go.example.com/dns',
headers={'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'}
)
dns_status = response.json()
if dns_status['currentDns']['matches']:
print('DNS is configured correctly!')
else:
print('DNS needs configuration:')
print(dns_status['instructions'])
{
"domain": "go.example.com",
"verified": true,
"dnsRecords": {
"type": "CNAME",
"host": "go",
"value": "cname.bouncy.ai"
},
"currentDns": {
"recordFound": true,
"recordType": "CNAME",
"recordValue": "cname.bouncy.ai",
"matches": true
},
"instructions": "DNS is configured correctly and verified."
}
{
"domain": "go.example.com",
"verified": false,
"dnsRecords": {
"type": "CNAME",
"host": "go",
"value": "cname.bouncy.ai"
},
"currentDns": {
"recordFound": false,
"recordType": null,
"recordValue": null,
"matches": false
},
"instructions": "Add a CNAME record with host 'go' pointing to 'cname.bouncy.ai' in your DNS provider."
}
{
"error": {
"code": "domain_not_found",
"message": "Domain not found in your account"
}
}
Request
Headers
Path Parameters
The domain name to checkExample:
go.example.comResponse
The domain name
Whether the domain is verified
Human-readable setup instructions
curl https://api.bouncy.ai/v1/domains/go.example.com/dns \
-H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY"
const response = await fetch(
'https://api.bouncy.ai/v1/domains/go.example.com/dns',
{
headers: {
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'
}
}
);
const dnsStatus = await response.json();
if (dnsStatus.currentDns.matches) {
console.log('DNS is configured correctly!');
} else {
console.log('DNS needs configuration:');
console.log(dnsStatus.instructions);
}
import requests
response = requests.get(
'https://api.bouncy.ai/v1/domains/go.example.com/dns',
headers={'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'}
)
dns_status = response.json()
if dns_status['currentDns']['matches']:
print('DNS is configured correctly!')
else:
print('DNS needs configuration:')
print(dns_status['instructions'])
{
"domain": "go.example.com",
"verified": true,
"dnsRecords": {
"type": "CNAME",
"host": "go",
"value": "cname.bouncy.ai"
},
"currentDns": {
"recordFound": true,
"recordType": "CNAME",
"recordValue": "cname.bouncy.ai",
"matches": true
},
"instructions": "DNS is configured correctly and verified."
}
{
"domain": "go.example.com",
"verified": false,
"dnsRecords": {
"type": "CNAME",
"host": "go",
"value": "cname.bouncy.ai"
},
"currentDns": {
"recordFound": false,
"recordType": null,
"recordValue": null,
"matches": false
},
"instructions": "Add a CNAME record with host 'go' pointing to 'cname.bouncy.ai' in your DNS provider."
}
{
"error": {
"code": "domain_not_found",
"message": "Domain not found in your account"
}
}
⌘I